Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1313)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1405)
@@ -79,11 +79,11 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+Frame1    : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0 0 0.442   0  0  0  0  0                  0                    0             1
+Frame1_l1 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0             1
+FrameI_l2 : I  0  0  0 0 0.442   0  0  0  0  0                  0                    0             1
+Frame1_l2 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0             1
+FrameI_l3 : I  0  0  0 0 0.442   0  0  0  0  0                  0                    0             1
+Frame1_l3 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0             1
 
 #=========== Motion Search =============
@@ -101,4 +101,7 @@
 RDOQ                          : 1           # RDOQ
 RDOQTS                        : 1           # RDOQ for transform skip
+SliceChromaQPOffsetPeriodicity: 0           # Used in conjunction with Slice Cb/Cr QpOffsetIntraOrPeriodic. Use 0 (default) to disable periodic nature.
+SliceCbQpOffsetIntraOrPeriodic: 0           # Chroma Cb QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
+SliceCrQpOffsetIntraOrPeriodic: 0           # Chroma Cr QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
 
 #=========== Deblock Filter ============
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1313)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1405)
@@ -67,7 +67,7 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             0
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             0
+Frame1    : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0  0 0 0.442   0  0  0  0  0                  0                    0             0
+Frame1_l1 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0             0
 
 #=========== Motion Search =============
@@ -86,4 +86,7 @@
 RDOQ                          : 1           # RDOQ
 RDOQTS                        : 1           # RDOQ for transform skip
+SliceChromaQPOffsetPeriodicity: 0           # Used in conjunction with Slice Cb/Cr QpOffsetIntraOrPeriodic. Use 0 (default) to disable periodic nature.
+SliceCbQpOffsetIntraOrPeriodic: 0           # Chroma Cb QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
+SliceCrQpOffsetIntraOrPeriodic: 0           # Chroma Cr QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
 
 #=========== Deblock Filter ============
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1313)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1405)
@@ -94,15 +94,15 @@
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0             0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
-FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
-FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0             1
-Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0             1
+Frame1    : B  1  1 0 0  0.442   0  0  0  4  0                  0                    0             0
+FrameI_l1:  I  0  0 0 0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l1 : B  1  1 0 0  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l2 : I  0  0 0 0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l2 : B  1  1 0 0  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l3 : I  0  0 0 0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l3 : B  1  1 0 0  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l4 : I  0  0 0 0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l4 : B  1  1 0 0  0.442   0  0  0  4  0                  0                    0             1
+FrameI_l5 : I  0  0 0 0  0.442   0  0  0  0  0                  0                    0             1
+Frame1_l5 : B  1  1 0 0  0.442   0  0  0  4  0                  0                    0             1
 
 
@@ -121,4 +121,7 @@
 RDOQ                          : 1           # RDOQ
 RDOQTS                        : 1           # RDOQ for transform skip
+SliceChromaQPOffsetPeriodicity: 0           # Used in conjunction with Slice Cb/Cr QpOffsetIntraOrPeriodic. Use 0 (default) to disable periodic nature.
+SliceCbQpOffsetIntraOrPeriodic: 0           # Chroma Cb QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
+SliceCrQpOffsetIntraOrPeriodic: 0           # Chroma Cr QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
 
 #=========== Deblock Filter ============
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1313)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1405)
@@ -78,9 +78,9 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0            0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0            0
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0            0
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0            0
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0            0
+Frame1    : B  1  1 0 0 0.442   0  0  0  4  0                  0                    0            0
+FrameI_l1:  I  0  0 0 0 0.442   0  0  0  0  0                  0                    0            0
+Frame1_l1 : B  1  1 0 0 0.442   0  0  0  4  0                  0                    0            0
+FrameI_l2 : I  0  0 0 0 0.442   0  0  0  0  0                  0                    0            0
+Frame1_l2 : B  1  1 0 0 0.442   0  0  0  4  0                  0                    0            0
 
 #=========== Motion Search =============
@@ -99,4 +99,7 @@
 RDOQ                          : 1           # RDOQ
 RDOQTS                        : 1           # RDOQ for transform skip
+SliceChromaQPOffsetPeriodicity: 0           # Used in conjunction with Slice Cb/Cr QpOffsetIntraOrPeriodic. Use 0 (default) to disable periodic nature.
+SliceCbQpOffsetIntraOrPeriodic: 0           # Chroma Cb QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
+SliceCrQpOffsetIntraOrPeriodic: 0           # Chroma Cr QP Offset at slice level for I slice or for periodic inter slices as defined by SliceChromaQPOffsetPeriodicity. Replaces offset in the GOP table.
 
 #=========== Deblock Filter ============
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1313)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1405)
@@ -4,15 +4,15 @@
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
-Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0   0
-FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0   1             
-Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
-FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
-Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
-FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
-Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
-FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
-Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
-FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0   1
-Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0   1
+Frame1    : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0   0
+FrameI_l1:  I  0  0  0 0 0.442   0  0  0  0  0                  0                    0   1             
+Frame1_l1 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0   1
+FrameI_l2 : I  0  0  0 0 0.442   0  0  0  0  0                  0                    0   1
+Frame1_l2 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0   1
+FrameI_l3 : I  0  0  0 0 0.442   0  0  0  0  0                  0                    0   1
+Frame1_l3 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0   1
+FrameI_l4 : I  0  0  0 0 0.442   0  0  0  0  0                  0                    0   1
+Frame1_l4 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0   1
+FrameI_l5 : I  0  0  0 0 0.442   0  0  0  0  0                  0                    0   1
+Frame1_l5 : B  1  1  0 0 0.442   0  0  0  4  0                  0                    0   1
 
 Frame2:   
